Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoGenContinue< EOT > Class Template Reference

Generational continuator: continues until a number of generations is reached. More...

`#include <eoGenContinue.h>`

Inheritance diagram for eoGenContinue< EOT >:

List of all members.

## Public Member Functions
| eoGenContinue (unsigned long _totalGens)
| Ctor for setting a.
| eoGenContinue (unsigned long _totalGens, unsigned long &_currentGen)
| Ctor for enabling the save/load the no. of generations counted.
virtual bool | operator() (const eoPop< EOT > &_vEO)
| Returns false when a certain number of generations is reached.
virtual void | totalGenerations (unsigned long _tg)
| Sets the number of generations to reach and sets the current generation to 0 (the begin).
virtual unsigned long | totalGenerations ()
| Returns the number of generations to reach.
virtual std::string | className (void) const
void | readFrom (std::istream &__is)
| Read object.
void | printOn (std::ostream &__os) const
| Write object.
## Public Attributes
bool | verbose
## Private Attributes
unsigned long | repTotalGenerations
unsigned long | thisGenerationPlaceHolder
unsigned long & | thisGeneration

## Detailed Description

### template<class EOT>
class eoGenContinue< EOT >

Generational continuator: continues until a number of generations is reached.

Definition at line 34 of file eoGenContinue.h.

## Member Function Documentation

template<class EOT>
void eoGenContinue< EOT >::readFrom | ( | std::istream & | __is | ) | `[inline, virtual]`

  | Read object. Parameters:
  | _is | A std::istream.
  Exceptions:
  | runtime_std::exception | If a valid object can't be read.
Reimplemented from eoContinue< EOT >. Definition at line 83 of file eoGenContinue.h.

template<class EOT>
void eoGenContinue< EOT >::printOn | ( | std::ostream & | __os | ) | const`[inline, virtual]`

  | Write object. It's called printOn since it prints the object on a stream. Parameters:
  | _os | A std::ostream.
Reimplemented from eoContinue< EOT >. Definition at line 88 of file eoGenContinue.h.

The documentation for this class was generated from the following file:

- eoGenContinue.h